List membership waitlist entries
curl --request GET \
--url https://api.letsdothis.com/v0/membership-waitlist-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-waitlist-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-waitlist-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"schemeId": "<string>",
"offeringId": "<string>",
"status": "WAITING",
"emailAddress": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"joinedWaitlistAt": "<string>",
"quotedPrice": {
"value": 123,
"currencyCode": "<string>"
},
"selectedAt": "<string>",
"refusal": {
"code": "price_changed",
"refusedAt": "<string>"
},
"firstPaymentAt": "<string>",
"policyId": "<string>",
"seatId": "<string>"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"code": "MEMBERSHIP_INVALID_REQUEST",
"statusCode": 400,
"message": "<string>"
}{
"code": "MEMBERSHIP_FEATURE_NOT_ENABLED",
"statusCode": 403,
"message": "<string>"
}Memberships
List membership waitlist entries
Lists the people waiting for your membership offerings, oldest first.
Filter by schemeId, offeringId, status or emailAddress, which ignores case. Use status=WAITING for the people you can select, and status=REFUSED after a draw for the selections that couldn’t start a membership.
GET
/
v0
/
membership-waitlist-entries
List membership waitlist entries
curl --request GET \
--url https://api.letsdothis.com/v0/membership-waitlist-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-waitlist-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-waitlist-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"schemeId": "<string>",
"offeringId": "<string>",
"status": "WAITING",
"emailAddress": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"joinedWaitlistAt": "<string>",
"quotedPrice": {
"value": 123,
"currencyCode": "<string>"
},
"selectedAt": "<string>",
"refusal": {
"code": "price_changed",
"refusedAt": "<string>"
},
"firstPaymentAt": "<string>",
"policyId": "<string>",
"seatId": "<string>"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"code": "MEMBERSHIP_INVALID_REQUEST",
"statusCode": 400,
"message": "<string>"
}{
"code": "MEMBERSHIP_FEATURE_NOT_ENABLED",
"statusCode": 403,
"message": "<string>"
}This endpoint is restricted and not generally available: organizations that have not been enabled receive a
403. Contact your Let’s Do This representative if you’d like access.Authorizations
Query Parameters
Response
A page of waitlist entries, oldest first.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

